services:
  php:
    environment:
      SERVER_NAME: ':80'
    ports:
      - "26222:80"

  mysql:
    image: mysql:8.0
    command:
      - 'mysqld'
      - '--character-set-server=utf8mb4'
      - '--collation-server=utf8mb4_unicode_ci'
    environment:
      MYSQL_ROOT_PASSWORD: laravel
      MYSQL_DATABASE: laravel
      MYSQL_USER: laravel
      MYSQL_PASSWORD: laravel
    ports:
      - '26224:3306'
    volumes:
      - ./docker/sql_dev:/docker-entrypoint-initdb.d
      - 'mysql:/var/lib/mysql'

  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    ports:
      - "26223:80"
    environment:
      PMA_HOST: mysql
      PMA_USER: 'laravel'
      PMA_PASSWORD: 'laravel'
      PMA_ARBITRARY: 1
    depends_on:
      - mysql

volumes:
  mysql:
